Package com.scriptel.proscript.cardswipe

## Class FinancialCardTrackOne

- java.lang.Object
- - com.scriptel.proscript.cardswipe.FinancialCardTrackOne

-     public class FinancialCardTrackOne
      extends java.lang.Object

  This class represents track one of a financial card.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FinancialCardTrackOne()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getAccountNumber()` | Gets the account number on the card.
    `java.lang.String` | `getDiscretionaryData()` | Gets the vendor-specific discretionary data on the card.
    `java.util.Date` | `getExpiration()` | Gets the expiration date of the card.
    `java.lang.String` | `getFirstName()` | Gets the first name on the card.
    `java.lang.String` | `getLastName()` | Gets the last name on the card.
    `java.lang.String` | `getServiceCode()` | Gets the service code on the card.
    `static FinancialCardTrackOne` | `parse​(java.lang.String trackData)` | This method attempts to parse track one out the raw track string.
    `java.lang.String` | `toString()` | Returns this object as a human readable string.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FinancialCardTrackOne

          public FinancialCardTrackOne()

  - ### Method Detail

    - #### parse

          public static FinancialCardTrackOne parse​(java.lang.String trackData)

      This method attempts to parse track one out the raw track string.
      Parameters:
        `trackData` - Track data to parse.
      Returns:
        FinancialCardTrackOne data if data found, null otherwise.

    - #### toString

          public java.lang.String toString()

      Returns this object as a human readable string.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        String containing human readable string.

    - #### getAccountNumber

          public java.lang.String getAccountNumber()

      Gets the account number on the card.
      Returns:
        the accountNumber

    - #### getFirstName

          public java.lang.String getFirstName()

      Gets the first name on the card.
      Returns:
        First Name

    - #### getLastName

          public java.lang.String getLastName()

      Gets the last name on the card.
      Returns:
        Last name

    - #### getExpiration

          public java.util.Date getExpiration()

      Gets the expiration date of the card.
      Returns:
        Expiration date.

    - #### getServiceCode

          public java.lang.String getServiceCode()

      Gets the service code on the card.
      Returns:
        Service code.

    - #### getDiscretionaryData

          public java.lang.String getDiscretionaryData()

      Gets the vendor-specific discretionary data on the card.
      Returns:
        Vendor-specific discretionary data.